# cPacketPipe< _Type > Class Template Reference

List of all members.

## Public Member Functions

void | Initialize ()
void | Reset ()
void | SetSendSequence (DWORD dwSendSequence)

## Static Public Member Functions

static DWORD | CalcCRC (BYTE *pbSendBuffer, int iSize)

## Friends

class | cClient
class | cMasterServer

### template<class _Type>
class cPacketPipe< _Type >

## Member Function Documentation

template<class _Type>

static DWORD cPacketPipe< _Type >::CalcCRC | ( | BYTE * | pbSendBuffer,
|  | int | iSize |
| ) |  |  | `[inline, static]`

Creates a general CRC.

Parameters:

  | *pbSendBuffer | -
  | iSize | -

Returns:
  (dwCrc1 + dwCrc2) -

template<class _Type>

void cPacketPipe< _Type >::Initialize | ( |  | ) | `[inline]`

Set the initial values.

template<class _Type>

void cPacketPipe< _Type >::Reset | ( |  | ) | `[inline]`

Reset the values.

The documentation for this class was generated from the following file:

- E:/uas2/Server/PacketPipe.h